Bug 238968

Summary: security/py-cryptography: Update to 2.8
Product: Ports & Packages Reporter: Sunpoet Po-Chuan Hsieh <sunpoet>
Component: Individual Port(s)Assignee: Kubilay Kocak <koobs>
Status: Closed Overcome By Events    
Severity: Affects Only Me CC: jeroen.pulles, ngie
Priority: --- Flags: koobs: maintainer-feedback+
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://github.com/pyca/cryptography/blob/2.7/CHANGELOG.rst
See Also: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=245929
Bug Depends on:    
Bug Blocks: 238969    
Attachments:
Description Flags
cryptography 2.7 update none

Description Sunpoet Po-Chuan Hsieh freebsd_committer 2019-07-03 19:04:08 UTC
Update to 2.7

Changes:        https://github.com/pyca/cryptography/blob/master/CHANGELOG.rst
Comment 1 Jeroen Pulles 2019-10-02 12:55:22 UTC
FYI: files/patch-PR4855 can be removed, the patch is now in cryptography. 

make test runs with no complaints.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-10-04 02:24:35 UTC
Created attachment 208081 [details]
cryptography 2.7 update

Attach patch
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2019-11-02 06:19:41 UTC
Comment on attachment 208081 [details]
cryptography 2.7 update

Obsolete: 

- Version 2.8 is out
- asn1crypto is no longer an install_requires (RUN_DEPENDS)
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2019-11-02 06:20:19 UTC
- Test target needs update (setup.py test support removed)
Comment 5 Enji Cooper freebsd_committer 2019-11-06 21:25:00 UTC
(In reply to Kubilay Kocak from comment #4)

The new code requires pytest, as noted in the tox.ini (which is run via Travis CI): https://github.com/pyca/cryptography/blob/2.8/tox.ini#L84
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2019-11-07 12:01:36 UTC
(In reply to Enji Cooper from comment #5)

Yep, just documenting additional changes as I work on my WIP
Comment 7 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-01-11 08:32:34 UTC
(In reply to Kubilay Kocak from comment #6)

Hi @koobs, any progress on this?
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-11 14:25:22 UTC
(In reply to Sunpoet Po-Chuan Hsieh from comment #7)

A number of issues identified during QA, catching up on backlog at the moment
Comment 9 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-04-06 20:19:22 UTC
ping. Can we request an exp-run now?
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2020-04-27 11:38:32 UTC
Superseded by bug 245929 (would have preferred an updated patch here however).